/***************************************************************************/
/* File:             SHELLINF.C                                            */
/*                                                                         */
/* Function:         Output information about the workstation shell.       */
/*                                                                         */
/* Usage:            shellinf                                              */
/*                                                                         */
/* Functions Called: GetNetwareShellVersion                                */
/*                   ISShellLoaded                                         */
/*                                                                         */
/***************************************************************************/
#include <stdio.h>
#include <string.h>

#include "netware.h"

static char *types[] = { "      OS type","   OS version",
						 "   HWARE type","Short HW type"};

void main(void)
{
char info[40];
byte major_v,minor_v,level,shelltype;
char *p;
int i;
char *memtypes[] = { " ","EMS","XMS" };

   if (IsShellLoaded() != SUCCESS)
   {
      printf("*** No netware shell loaded ***\n");
      return;
   }

   GetNetwareShellVersion(info,&major_v,&minor_v,&level,&shelltype);
   
   printf("\n        Shell: %02.2d.%02.2d%c %s\n\n",
          major_v,minor_v,level+'A',memtypes[shelltype]);
   p=info;
   for(i=0;i<4;i++)
   {
      printf("%s: %s\n",types[i],p);
      p+=strlen(p);
      p++;
   }
}

